<template lang="html">
  <div class="profile-informations">
    <h2 v-if="profile.informations.description" class="subtitle">{{ profile.username }} en quelques mots :</h2>
    <p v-if="profile.informations.description">{{ profile.informations.description }}</p>
    <h2 v-if="profile.informations.tags.length>1" class="subtitle">En quelques tags :</h2>
    <div class="tags" v-if="profile.informations.tags.length>1">
      <span class="tag is-medium" v-for="tag in profile.informations.tags">
        {{ tag }}
      </span>
    </div>
    <h2 v-if="profile.informations.group" class="subtitle">nombre de  membre(s) dans le groupe :</h2>
    <p v-if="profile.informations.group">{{ profile.informations.group }}</p>
    <h2 v-if="profile.informations.material.length>1" class="subtitle">Materiel à disposition :</h2>
    <div class="tags" v-if="profile.informations.material.length>1">
      <span class="tag is-medium" v-for="material in profile.informations.material">
        {{ material }}
      </span>
    </div>
    <h2 class="subtitle" v-if="profile.informations.needs">{{ profile.username }} a quelque chose à vous demander :</h2>
    <p v-if="profile.informations.needs">{{ profile.informations.needs }}</p>
  </div>
</template>

<script>
export default {
  name:"ProfileInfomations",
  props:['profile']
}
</script>

<style lang="scss" scoped>
.profile-informations{
  width: 65%;
  margin: auto;
  p{
    margin-bottom: 1rem;
  }
}
</style>
